package jp.sourceforge.cfneo.at4ie2.api.browser.impl.ie;

import jp.sourceforge.cfneo.at4ie2.BTRuntimeError;
import jp.sourceforge.cfneo.at4ie2.api.browser.HtmlElement;

public class BTHtmlElement implements HtmlElement {

	watij.elements.HtmlElement htmlElement;

	public BTHtmlElement(watij.elements.HtmlElement htmlElement) {
		this.htmlElement = htmlElement;
	}

	@Override
	public boolean exists() {
		try {
			return this.htmlElement.exists();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}
	@Override
	public String getId() {
		try {
			return this.htmlElement.id();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}
	@Override
	public String getName() {
		try {
			return this.htmlElement.name();
		} catch (Exception e) {
			throw new BTRuntimeError(e);
		}
	}

}
